## org.apache.lucene.search
Class AssertingScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.index.DocsEnum
              org.apache.lucene.search.Scorer
                  org.apache.lucene.search.AssertingScorer

    public class AssertingScorer

extends Scorer

Wraps a Scorer with additional checks

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer
`Scorer.ChildScorer`

Field Summary

Fields inherited from class org.apache.lucene.search.Scorer
`weight`

Fields inherited from class org.apache.lucene.index.DocsEnum
`FLAG_FREQS, FLAG_NONE`

Fields inherited from class org.apache.lucene.search.DocIdSetIterator
`NO_MORE_DOCS`

Method Summary
`int` `advance(int target)`
`long` `cost()`
`int` `docID()`
`int` `freq()`
`Collection<Scorer.ChildScorer>` `getChildren()`
`Scorer` `getIn()`
`int` `nextDoc()`
`float` `score()`
`void` `score(Collector collector)`
`boolean` `score(Collector collector, int max, int firstDocID)`

Methods inherited from class org.apache.lucene.search.Scorer
`getWeight`

Methods inherited from class org.apache.lucene.index.DocsEnum
`attributes`

Methods inherited from class org.apache.lucene.search.DocIdSetIterator
`empty, slowAdvance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIn

    public Scorer getIn()

### score

    public float score()
                throws IOException

  Specified by:
    `score` in class `Scorer`
  Throws:
    `IOException`

### score

    public void score(Collector collector)
               throws IOException

  Overrides:
    `score` in class `Scorer`
  Throws:
    `IOException`

### score

    public boolean score(Collector collector,
                         int max,
                         int firstDocID)
                  throws IOException

  Overrides:
    `score` in class `Scorer`
  Throws:
    `IOException`

### getChildren

    public Collection<Scorer.ChildScorer> getChildren()

  Overrides:
    `getChildren` in class `Scorer`

### freq

    public int freq()
             throws IOException

  Specified by:
    `freq` in class `DocsEnum`
  Throws:
    `IOException`

### docID

    public int docID()

  Specified by:
    `docID` in class `DocIdSetIterator`

### nextDoc

    public int nextDoc()
                throws IOException

  Specified by:
    `nextDoc` in class `DocIdSetIterator`
  Throws:
    `IOException`

### advance

    public int advance(int target)
                throws IOException

  Specified by:
    `advance` in class `DocIdSetIterator`
  Throws:
    `IOException`

### cost

    public long cost()

  Specified by:
    `cost` in class `DocIdSetIterator`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.